curl --request GET \
--url https://api.eflow.team/v1/partners/marketplace/demands/{demandId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/partners/marketplace/demands/{demandId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/partners/marketplace/demands/{demandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"everxchange_demand_partner_id": 123,
"network_id": 123,
"company_name": "<string>",
"status": "<string>",
"public_description": "<string>",
"logo_url": "<string>",
"logo_asset_id": 123,
"website_url": "<string>",
"link": "<string>",
"custom_link_label": "<string>",
"is_internal": true,
"has_migrated_categories": true,
"is_contact_info_public": true,
"default_network_offer_id": 123,
"facebook_contact_url": "<string>",
"instagram_contact_url": "<string>",
"linkedin_contact_url": "<string>",
"twitter_contact_url": "<string>",
"tiktok_contact_url": "<string>",
"youtube_contact_url": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"connection": {},
"invitation": {},
"is_featured": true,
"main_platform_id": 123,
"time_connected": 1734455015,
"contact": {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>"
},
"resource_asset": {
"customer_asset_id": 123,
"content_type": "<string>",
"filename": "<string>",
"url": "<string>",
"file_size": 123,
"time_saved": 1734455015
},
"everflow_pay": {
"is_everflow_pay_enabled": true
},
"performance": {
"everxchange_demand_partner_id": 123,
"clicks_weekly": 123,
"has_reached_weekly_threshold": true,
"epc_weekly": 123,
"cvr_weekly": 123,
"clicks_monthly": 123,
"has_reached_monthly_threshold": true,
"epc_monthly": 123,
"cvr_monthly": 123,
"time_created": 1734455015,
"time_saved": 1734455015
},
"programs": [
{
"everxchange_demand_partner_program_id": 123,
"everxchange_demand_partner_id": 123,
"name": "<string>",
"preview_url": "<string>",
"ordering_value": 123,
"events": [
{
"everxchange_demand_partner_program_event_id": 123,
"everxchange_demand_partner_program_id": 123,
"everxchange_demand_partner_id": 123,
"name": "<string>",
"is_default": true,
"payout_type_id": 123,
"payout_value_min": 123,
"payout_value_max": 123,
"time_created": 1734455015,
"time_saved": 1734455015
}
],
"time_created": 1734455015,
"time_saved": 1734455015
}
],
"payments": {
"everflow_pay": {
"enabled": true
},
"tipalti": {
"enabled": true
},
"trusted_payouts": {
"enabled": true
},
"managed_payments": {
"enabled": true
},
"veem": {
"enabled": true
},
"paypal": {
"enabled": true
},
"masspay": {
"enabled": true
}
},
"brands": [
{
"everxchange_demand_partner_brand_id": 123,
"everxchange_demand_partner_id": 123,
"name": "<string>",
"logo_url": "<string>",
"logo_asset_id": 123,
"website_url": "<string>",
"ordering_value": 123,
"relationship": {
"resource_asset": {
"customer_asset_id": 123,
"content_type": "<string>",
"filename": "<string>",
"url": "<string>",
"file_size": 123,
"time_saved": 1734455015
}
},
"time_created": 1734455015,
"time_saved": 1734455015
}
],
"terms_and_conditions": "<string>",
"vertical_ids": [
123
],
"channel_ids": [
123
],
"geo_vertical_ids": [
123
],
"payout_type_ids": [
123
],
"platform_ids": [
123
],
"categories": [
{
"category_id": 123
}
],
"country_ids": [
123
],
"conversion_funnels": [],
"customer_short": "<string>",
"network_currency_id": "<string>"
}
}Get Marketplace Advertiser
Authorizations
The marketplace partner's API key. Uses the X-Eflow-Api-Key header. The key belongs to the marketplace partner user.
Path Parameters
The unique demand partner ID.
Response
A marketplace demand partner profile.
Unique demand partner ID.
Network ID.
Demand partner name.
Current status of the demand partner (e.g. active, inactive).
Description of the demand partner and their offerings.
URL to the demand partner's logo.
Logo asset ID.
Demand partner's website URL.
Custom link URL.
Custom link label.
Whether this is an internal demand partner.
Whether the demand partner has migrated to the new marketplace categories model.
Whether contact info is public.
Default offer ID.
Facebook contact URL.
Instagram contact URL.
LinkedIn contact URL.
Twitter contact URL.
TikTok contact URL.
YouTube contact URL.
Unix timestamp of when the demand partner was created.
1734455015
Unix timestamp of last update.
1734455015
Related objects for the demand partner.
Show child attributes
Show child attributes
Was this page helpful?
